Bug 243700 - Wrong init script
Wrong init script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhnsd (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
:
Depends On: 243699
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 10:00 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version: rhel 5.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 06:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-11 10:00:12 EDT
+++ This bug was initially created as a clone of Bug #243699 +++

Description of problem:
The rhnsd init script returns incorrect error codes and also some constructions
in it prevent the correct status command call. For example:
[ -x /usr/sbin/rhnsd ] || exit 0
[ -f /etc/sysconfig/rhn/systemid ] || exit 0

Also the script contains 
INTERVAL=240
which is IMHO configuration parameter that has nothing to do in the init script
and should be moved to conf file.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-11 10:04:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Dan Thurman 2009-03-30 11:59:14 EDT
Link: http://devserv.devel.redhat.com/~mmarcini/amd

does not exist!
Comment 3 Miroslav Suchý 2009-10-07 06:37:35 EDT
INTERVAL is defined for some time in /etc/sysconfig/rhn/rhnsd
And if those files do not exist we return 6:
[ -x /usr/sbin/rhnsd ] || exit 6
[ -f /etc/sysconfig/rhn/systemid ] || exit 6

Not sure when it was fixed, but in RHEL 5.4

Note You need to log in before you can comment on or make changes to this bug.